GET api/contractItemapi/contractitemsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
contractId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of ContractItemViewModel
NameDescriptionTypeAdditional information
item_descriptions

Dictionary of string [key] and string [value]

None.

item_code

string

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "item_code": "sample string 1",
    "selected_sticker_id": "356f0908-8fe1-446a-8077-435a3f6c1d49",
    "selected_nameplate_id": "f44c8e21-2413-4999-8bc0-30c0fb83f9f2",
    "active": true,
    "contract_id": "5fd32aff-03e7-42e7-af26-f2edc7f90f28",
    "id": "5a6a9e0f-293f-4d7d-a155-a05aa5057bc1",
    "physical_item_id": "e6bdc804-47e8-42ad-ac62-fb8c5e55cd0e",
    "service_item_id": "26870335-81a9-474a-96c1-5a109d6dfadd",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "item_code": "sample string 1",
    "selected_sticker_id": "356f0908-8fe1-446a-8077-435a3f6c1d49",
    "selected_nameplate_id": "f44c8e21-2413-4999-8bc0-30c0fb83f9f2",
    "active": true,
    "contract_id": "5fd32aff-03e7-42e7-af26-f2edc7f90f28",
    "id": "5a6a9e0f-293f-4d7d-a155-a05aa5057bc1",
    "physical_item_id": "e6bdc804-47e8-42ad-ac62-fb8c5e55cd0e",
    "service_item_id": "26870335-81a9-474a-96c1-5a109d6dfadd",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfcontract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <contract_item>
    <active>true</active>
    <contract_id>5fd32aff-03e7-42e7-af26-f2edc7f90f28</contract_id>
    <id>5a6a9e0f-293f-4d7d-a155-a05aa5057bc1</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>e6bdc804-47e8-42ad-ac62-fb8c5e55cd0e</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>26870335-81a9-474a-96c1-5a109d6dfadd</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>f44c8e21-2413-4999-8bc0-30c0fb83f9f2</selected_nameplate_id>
    <selected_sticker_id>356f0908-8fe1-446a-8077-435a3f6c1d49</selected_sticker_id>
  </contract_item>
  <contract_item>
    <active>true</active>
    <contract_id>5fd32aff-03e7-42e7-af26-f2edc7f90f28</contract_id>
    <id>5a6a9e0f-293f-4d7d-a155-a05aa5057bc1</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>e6bdc804-47e8-42ad-ac62-fb8c5e55cd0e</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>26870335-81a9-474a-96c1-5a109d6dfadd</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>f44c8e21-2413-4999-8bc0-30c0fb83f9f2</selected_nameplate_id>
    <selected_sticker_id>356f0908-8fe1-446a-8077-435a3f6c1d49</selected_sticker_id>
  </contract_item>
</ArrayOfcontract_item>